post
/{tenantId}/v1/notifications/alerts/{alertId}/emailsAdd email recipient to alert
Requires Authentication
Notifications
Adds a new email recipient to a notification alert
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
alertIdrequired | string (uuid) | Billing alert UUID |
Request Body
required
userIdstring (uuid)
- User ID to receive alerts (uses user's email)emailAddressstring (email)
- External email address to receive alertsResponses
Email recipient added
Response Bodyapplication/json
idstring (uuid)
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/notifications/alerts/{alertId}/emails' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"userId": "00000000-0000-0000-0000-000000000000",
"emailAddress": "user@example.com"
}'